[Résolu] Un exemple de migration qui n'a pas pris

Mon serveur YunoHost

Matériel: Raspberry Pi 3 à la maison
Version de YunoHost: 3.8.5.6
J’ai accès à mon serveur : En SSH | Par la webadmin
Êtes-vous dans un contexte particulier ou avez-vous effectué des modificiations particulières sur votre instance ? : non

Description du problème

J’ai lancé la migration vers 4.0 et au bout d’un moment ce message d’erreur est apparu:

2020-08-01 10:38:12,284: INFO - + Unpacking xdg-user-dirs (0.17-2) over (0.15-2) ...
2020-08-01 10:38:12,988: WARNING - Errors were encountered while processing:
2020-08-01 10:38:12,991: WARNING -  /tmp/apt-dpkg-install-6Nh2Fc/134-firmware-misc-nonfree_1%3a20190114-1+rpt7_all.deb
2020-08-01 10:38:16,404: WARNING - E: Sub-process /usr/bin/dpkg returned an error code (1)
2020-08-01 10:38:28,110: WARNING - Could not upgrade packages: 
2020-08-01 10:38:30,140: INFO - <strong>Could not complete the operation 'Upgrade system packages'. Please provide the full log of this operation by <a href="#/tools/logs/20200801-100521-tools_upgrade">clicking here</a> to get help</strong>
2020-08-01 10:38:30,906: ERROR - Migration 0015_migrate_to_buster did not complete, aborting. Error: Could not upgrade all the packages
Traceback (most recent call last):
  File "/usr/lib/moulinette/yunohost/tools.py", line 891, in tools_migrations_migrate
    migration.run()
  File "/usr/lib/moulinette/yunohost/data_migrations/0015_migrate_to_buster.py", line 79, in run
    tools_upgrade(system=True, allow_yunohost_upgrade=False)
  File "/usr/lib/moulinette/yunohost/log.py", line 313, in func_wrapper
    result = func(*args, **kwargs)
  File "/usr/lib/moulinette/yunohost/tools.py", line 615, in tools_upgrade
    raise YunohostError(m18n.n('packages_upgrade_failed'))
YunohostError: Could not upgrade all the packages

Voir https://paste.yunohost.org/raw/cuvequxime pour le log complet.
Installés:

  • nextcloud
  • kanboard
  • freshRSS
  • funkwhale (à 0.18)
  • gitea
  • wallabag

Je suis pas pressé, si c’est réparable tant mieux, sinon c’est peut-être quelque chose à regarder de plus près pour la prochaine version.

Merci

2020-08-01 10:36:28,333: WARNING - dpkg: error processing archive /tmp/apt-dpkg-install-6Nh2Fc/134-firmware-misc-nonfree_1%3a20190114-1+rpt7_all.deb (--unpack):
2020-08-01 10:36:28,436: WARNING -  trying to overwrite '/lib/firmware/mt7601u.bin', which is also in package firmware-ralink 1:0.43+rpi6

Hmpf j’ai déjà eu ça y’a longtemps, malheureux de voir que c’est toujours pas réglé upstream …

Du coup a mon avis tu peux tenter :

apt install firmware-misc-nonfree -o Dpkg::Options::="--force-overwrite"

puis relancer la migration

1 Like

Comme une lettre à la poste! Je suis en 4.0.3 maintenant. Merci!